org.eclipse.jgit.errors

## Enum NoMergeBaseException.MergeBaseFailureReason

- java.lang.Object
- - java.lang.Enum<NoMergeBaseException.MergeBaseFailureReason>
  - - org.eclipse.jgit.errors.NoMergeBaseException.MergeBaseFailureReason

All Implemented Interfaces:
  Serializable, Comparable<NoMergeBaseException.MergeBaseFailureReason>

Enclosing class:
  NoMergeBaseException

    public static enum NoMergeBaseException.MergeBaseFailureReason
    extends Enum<NoMergeBaseException.MergeBaseFailureReason>

An enum listing the different reason why no merge base could be determined.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CONFLICTS_DURING_MERGE_BASE_CALCULATION` In order to find a single merge base it may required to merge together multiple common predecessors.
`MULTIPLE_MERGE_BASES_NOT_SUPPORTED` Multiple merge bases have been found (e.g.
`TOO_MANY_MERGE_BASES` The number of merge bases exceeds `RecursiveMerger.MAX_BASES`

### Method Summary

All Methods Static Methods Concrete Methods
`static NoMergeBaseException.MergeBaseFailureReason` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static NoMergeBaseException.MergeBaseFailureReason[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### MULTIPLE_MERGE_BASES_NOT_SUPPORTED

    public static final NoMergeBaseException.MergeBaseFailureReason MULTIPLE_MERGE_BASES_NOT_SUPPORTED

Multiple merge bases have been found (e.g. the commits to be merged have multiple common predecessors) but the merge strategy doesn't support this (e.g. ResolveMerge)

#### TOO_MANY_MERGE_BASES

    public static final NoMergeBaseException.MergeBaseFailureReason TOO_MANY_MERGE_BASES

The number of merge bases exceeds `RecursiveMerger.MAX_BASES`

#### CONFLICTS_DURING_MERGE_BASE_CALCULATION

    public static final NoMergeBaseException.MergeBaseFailureReason CONFLICTS_DURING_MERGE_BASE_CALCULATION

In order to find a single merge base it may required to merge together multiple common predecessors. If during these merges conflicts occur the merge fails with this reason

### Method Detail

#### values

    public static NoMergeBaseException.MergeBaseFailureReason[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (NoMergeBaseException.MergeBaseFailureReason c : NoMergeBaseException.MergeBaseFailureReason.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static NoMergeBaseException.MergeBaseFailureReason valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null